Which firmware to choose for ZyXEL Keenetic Extra II?

my device has the firmware

Package: base-files Version: 1434-r16325-88151b8303 Depends: libc, netifd, jsonfilter, usign, openwrt-keyring, fstools, fwtool Status: install user installed Architecture: mipsel_24kc

and I see that there is a newer version of the firmware.

Index of (root) / releases / 23.05.2 / targets /

the chip in my device

system type		: MediaTek MT7628AN ver:1 eco:2

but in the corresponding section there is no my MT7628 chip but the following ones

which one to choose for installation ?

you're in the wrong targets folder.

https://firmware-selector.openwrt.org/?version=23.05.2&target=ramips%2Fmt76x8&id=zyxel_keenetic-extra-ii

Use SUSUPGRADE for the update ?

yes, that's the one.

It worked! Thank you very much! How do I know about updates automatically ? Which setting in the GUI ?

you don't, and you shouldn't - https://openwrt.org/meta/infobox/upgrade_packages_warning

if you mean new versions of openwrt, not packages, there's no such alert, AFAIK.
there's however How to know when new release comes out? Or security issues?

I've got it all figured out. Uh, thank you.